# sample A, method M1
velik  <- read.csv2("Sample A.csv", sep=",", dec=".")
velik$ecd<-sqrt(4*velik$Area/pi)

#SSA ECD
S <- sum(velik$ecd^2)
V <- sum(velik$ecd^3)
ECD.SSA <- S/V*6000

#SSA Cauchy
S <- with(velik, sum(((MinFeret+Feret)/2)^2))
V <- with(velik, sum(((MinFeret+Feret)/2)^3))
Cauchy.SSA <- S/V*6000

#SSA MinFeret
S <- with(velik, sum(MinFeret^2))
V <- with(velik, sum(MinFeret^3))
Mfer.SSA <- S/V*6000

round(c(Cauchy.SSA=Cauchy.SSA, ECD.SSA=ECD.SSA, MinFeret.SSA=Mfer.SSA)/3.9,1)






